import 'dart:convert';

import 'package:test/test.dart';
import 'package:dart_chainsql_api/dart_chainsql_api.dart';


void main() {
  test('Chainsql generateAddress', () {
      var walletInfo = Chainsql.generateAddress();
      String jsonStr = json.encode(walletInfo);
      print(jsonStr);

    //var walletIn  = wallet.fromJson(json.decode(jsonStr));
    var walletMap = walletInfo.toJson();
    expect(walletMap.containsKey("address"), true);
    expect(walletMap.containsKey("secret"), true);
    expect(walletMap.containsKey("publicKey"), true);

    var walletFromSeed =
        Chainsql.generateAddressFromStr("xpkpdVP3LKhtdSfQX3uHNs1f7jN42");

    var walletFromSeedMap = walletFromSeed.toJson();
    expect(walletFromSeedMap.containsKey("address"), true);
    expect(walletFromSeedMap.containsKey("secret"), true);
    expect(walletFromSeedMap.containsKey("publicKey"), true);

    expect(walletFromSeedMap["address"], "zKa9fxNT4KJwya73M4TYiCKxCQv97511Ve");
    expect(walletFromSeedMap["secret"], "xpkpdVP3LKhtdSfQX3uHNs1f7jN42");
    expect(walletFromSeedMap["publicKey"],
        "cB4e4YpAbPTLyYHmHmEBpLHCNU9TQc8jBUgERoAoQJBkhxT5fRfw");
  });
}
